FruxonDocs
AgentsAssets

Re-ingest specific Confluence pages within an existing asset

PATCH
/v1/tenants/{tenant}/agents/{agent}/assets/{asset}:confluence

Path Parameters

asset*string

The RAG asset ID

Formatuuid
tenant*string

The tenant identifier

agent*string

The agent identifier

Pages to re-ingest

pageIds*|null

Confluence page IDs to replace

[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/tenants/string/agents/string/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08:confluence" \  -H "Content-Type: application/json" \  -d '{    "pageIds": [      "string"    ]  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "name": "string",
  "status": 0,
  "documentCount": 0,
  "createdAt": 0,
  "modifiedAt": 0,
  "processedAt": 0,
  "errorMessage": "string"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}